{% extends 'base.html' %}

{% block header %}
<div class="d-flex justify-content-between align-items-center py-2">
  <h2>{% block title %}Tasks{% endblock %}</h2>
  {% if g.user %}
    <a class="action btn btn-primary" href="{{ url_for('todo.create') }}">Add New Task</a>
</div>
  {% endif %}
{% endblock %}

{% block content %} <hr>
  {% for todo in todos %}
    <article class="todo">
      <header class="d-flex justify-content-between">
        <div>
          {% if g.user %}
          <div>
            {% if todo['status'] == 1 %}
            <del><h3 class="">{{ todo['title'] | title }}</h3></del>
            {% else %}
            <h3>{{ todo['title'] | title }}</h3>
            {% endif %}
          </div>
          {% else %}
          <div>
            {% if todo['status'] == 1 %}
            <del><h3 class="">{{ todo['title'] | title }}</h3></del>
            {% else %}
            <h3>{{ todo['title'] | title }}</h3>
            {% endif %}
          </div>
          {% endif %}
          
          {% if g.user %}
          <div class="about">{{ todo['created'].strftime('%Y-%m-%d') }}</div>
          {% else %}
          <div class="about">by {{ todo['username'] }} on {{ todo['created'].strftime('%Y-%m-%d') }}</div>
          {% endif %}
        </div>
        {% if g.user['id'] == todo['user_id'] %}
            <div>
              <form action="{{ url_for('todo.toggle', id=todo['id']) }}" method="post">
                {% if todo['status'] == 1 %}
                <input type="submit" class="action btn btn-secondary" name="toggle" value="Mark Undone">
                {% else %}
                <input type="submit" class="action btn btn-success" name="toggle" value="Mark Done">
                {% endif %}
                <a class="action btn btn-light" href="{{ url_for('todo.update', id=todo['id']) }}">Edit Task</a>
              </form>
           
        </div>
        {% endif %}
      </header>
    </article>
    {% if not loop.last %}
      <hr>
    {% endif %}
  {% endfor %}
{% endblock %}